Package org.springframework.cache.interceptor

# Class SimpleKey

java.lang.Object
org.springframework.cache.interceptor.SimpleKey

All Implemented Interfaces:
  `Serializable`

public class SimpleKey extends Object implements Serializable
A simple key as returned from the `SimpleKeyGenerator`.

Since:
  4.0
Author:
  Phillip Webb, Juergen Hoeller
See Also:
  - `SimpleKeyGenerator`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SimpleKey`
`EMPTY`
An empty key.

## Constructor Summary

Constructors
Constructor
Description
`SimpleKey(Object... elements)`
Create a new `SimpleKey` instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`final int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### EMPTY

public static final SimpleKey EMPTY
An empty key.

## Constructor Details

### SimpleKey

public SimpleKey(Object... elements)
Create a new `SimpleKey` instance.

Parameters:
  `elements` - the elements of the key

## Method Details

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public final int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`